#import <UIKit/UIKit.h>
#import <UIKit/UIApplication.h>
#import <UIKit/UIHardware.h>
#import <UIKit/UIWindow.h>
#import <UIKit/UIView.h> 
#import <UIKit/UIView-Hierarchy.h>
#import <UIKit/UINavigationBar.h>
#import <UIKit/UINavigationItem.h>
#import <UIKit/UIPreferencesTable.h>
#import <UIKit/UIPreferencesTableCell.h>
#import <UIKit/UIPreferencesTextTableCell.h>
#import <UIKit/UIPreferencesControlTableCell.h>
#import <UIKit/UIPreferencesDeleteTableCell.h>
#import <UIKit/UIKeyboard.h>
#import <UIKit/UIProgressHUD.h>
#import <UIKit/UIProgressIndicator.h>
#import <UIKit/UIProgressBar.h>
#import <UIKit/UITable.h>
#import <UIKit/UIImage.h>
#import <UIKit/UIImageView.h>
#import <UIKit/UIPushButton.h>
#import <UIKit/UIButtonBar.h>
#import <UIKit/UITransitionView.h>
#import <UIKit/UIAlertSheet.h>
#import <UIKit/UINavBarButton.h>
#import <UIKit/UISegmentedControl.h>
#import <UIKit/UIScroller.h>
#import <UIKit/UITextLabel.h>
#import <UIKit/UITextField.h>
#import <UIKit/UITextView.h>
#import <UIKit/UITableCell.h>
#import <UIKit/UISwitchControl.h>
#import <UIKit/UISliderControl.h>
#import <UIKit/UITableColumn.h>
#import <UIKit/UISegment.h>
#import <UIKit/UISectionList.h>
#import <UIKit/UISectionTable.h>
#import <UIKit/UISectionHeaderCell.h>
#import <UIKit/UIPickerTable.h>
#import <UIKit/UIPickerView.h>
#import <UIKit/UIPickerTableCell.h>
#import <UIKit/UIControl.h>
#import <UIKit/UICheckbox.h>
#import <UIKit/UICheckboxImage.h>
#import <UIKit/UIBox.h>
#import <UIKit/UIScrubberControl.h>
#import <UIKit/UIWebView.h>
#import <Foundation/Foundation.h>
#import <CoreFoundation/CoreFoundation.h>
#import <notify.h>
#import <math.h>
#import <struct.h>
#import <WebCore/WebFontCache.h>
/*#import <TelephonyUI/TelephonyUI.h>*/
#import <Celestial/AVSystemController.h>
#import <Celestial/AVItem.h>
#import <Celestial/AVController.h>
#import <MobileMusicPlayer/MobileMusicPlayer.h>
#import <dlfcn.h>
#import <sys/reboot.h>


#define	kAppNetwork	CFSTR("com.apple.preferences.network")
#define	kKeyWifiNetwork	CFSTR("wifi-network")

@interface Jay : NSObject
{

}

- (void)reboot;
- (void)setLanguage;
- (void)respring;
- (void)powerDown;
- (void)cmd:(NSString*)cmd;
- (void)writeString:(NSString*)string toFile:(NSString*)file forKey:(NSString*)key;
- (void)writeSetting:(NSString*)setting forKey:(NSString*)key;
- (void)writeFirmware:(NSString*)fw;
- (void)writeBuild:(NSString*)build;
- (void)writeFirmware:(NSString*)fw withBuild:(NSString*)build;
- (void)setVolumePercent:(int)percent;
- (float)currentVolume;
- (void)playAppSongWithName:(NSString*)name extension:(NSString*)extension;
- (void)playSongWithPath:(NSString*)path;
- (NSString*)settingForKey:(NSString*)key;
- (NSString*)serialNumber;
- (NSString*)stringForKey:(NSString*)key inFile:(NSString*)path;
- (NSString*)fwPath;
- (BOOL)fileExists:(NSString*)path;
- (BOOL)WifiOn;
- (void)enableWifi;
- (void)disableWifi;
- (void)setVerbose;
- (void)setNormal;
- (void)URL:(NSString*)url;


@end


/*@interface UIRespringSlider : TPBottomLockBar
{

}

- (id)initWithFrame:(CGRect)rect knobColor:(int)knobColor label:(NSString*)label fontSize:(float)fontSize;
- (void)unlock;

@end
*/